# OpenAI

If you are using OpenAI for voice generation, you will need to provide an API key.

![no api token](/talemate/img/0.26.0/no-api-token.png)

See the [OpenAI API setup](/apis/openai.md) for instructions on how to set up the API key.

## Settings

![Voice agent openai settings](/talemate/img/0.32.0/openai-tts-api-settings.png)

##### Model

Which model to use for generation.

- GPT-4o Mini TTS
- TTS-1
- TTS-1 HD